Bug 729008 - Failed to find the .debug_info section in debuginfo files
Summary: Failed to find the .debug_info section in debuginfo files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bacula
Version: 6.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks: 727919
TreeView+ depends on / blocked
 
Reported: 2011-08-08 15:19 UTC by Karel Klíč
Modified: 2013-03-03 23:03 UTC (History)
6 users (show)

Fixed In Version: bacula-5.0.0-10.el6
Doc Type: Bug Fix
Doc Text:
Cause: Package was not build with CFLAGS="$RPM_OPT_FLAGS. Consequence: Debug information were not generated. Fix: Package is build with CFLAGS="$RPM_OPT_FLAGS. Result: Debug information are generated.
Clone Of:
Environment:
Last Closed: 2012-11-19 04:15:14 UTC


Attachments (Terms of Use)
patch for spec file (1.20 KB, patch)
2011-08-10 15:11 UTC, Lukáš Nykrýn
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1469 normal SHIPPED_LIVE bacula bug fix update 2012-11-19 09:14:28 UTC

Description Karel Klíč 2011-08-08 15:19:17 UTC
A problem related to debuginfo was found in the bacula-5.0.0-7.el6 package. This issue might affect crash analysis done by Automatic Bug Reporting Tool and its retrace server, and also prevent proper debugging of crashes via GDB.

When a binary is compiled without gcc's -g option, no debugging information is generated and rpmbuild creates almost-empty debuginfo file, which cannot be used for debugging. Please fix the package build process to use $RPM_OPT_FLAGS, which include the -g option among others.

- path: /usr/lib/debug/usr/sbin/bacula-dir.postgresql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bacula-sd.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bscan.mysql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bextract.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bacula-dir.mysql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bcopy.mysql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bregex.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bconsole.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/dbcheck.sqlite.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bscan.sqlite.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bacula-tray-monitor.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bcopy.postgresql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/dbcheck.mysql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bacula-dir.sqlite.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/dbcheck.postgresql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bsmtp.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bscan.postgresql.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bcopy.sqlite.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/btape.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bls.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bwild.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686
- path: /usr/lib/debug/usr/sbin/bacula-fd.debug
  package: bacula-debuginfo-5.0.0-7.el6.i686

This issue can be investigated and tested by using eu-readelf tool from the elfutils package. Use `eu-readelf --section-headers /usr/lib/debug/usr/bin/<debuginfofile>.debug` to see if debuginfo file contains .debug_info section. It is supposed to be there.

(This bug was detected and filed by a script.)

Comment 2 RHEL Product and Program Management 2011-08-08 15:42:29 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Honza Horak 2011-08-09 15:43:59 UTC
This bug has been already fixed in Fedora, see bug #575425.

Comment 4 Lukáš Nykrýn 2011-08-10 15:11:26 UTC
Created attachment 517639 [details]
patch for spec file

Created patch for spec file based on solution in bug #575425

Comment 6 Suzanne Yeghiayan 2012-02-14 23:12:58 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 14 errata-xmlrpc 2012-11-19 04:15:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1469.html


Note You need to log in before you can comment on or make changes to this bug.